<!DOCTYPE html>
<html lang="en" ng-app>
<!-- ng-app se usa para que mi DOM sepa que uso angular -->

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>WELCOME</title>
    <!-- se importa angular por medio de un link que se envuentra en angularjs.org -->
    <script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/angularjs/1.3.0-rc.1/angular.min.js"></script>
</head>

<body>
    <div ng-init="name='Angular'">
        <!--ng-init  -->
        <h1>Welcome to {{name}}</h1>
        <input ng-model="name" type="text">
        <!--ng-model escucha los cambios, tanto desde el modelo como del controlador y los refleja automaticamente en la vista-->
    </div>

</body>

</html>